org.apache.tomcat.jdbc.pool

## Class TrapException

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.JdbcInterceptor
  - - org.apache.tomcat.jdbc.pool.TrapException

- All Implemented Interfaces:
    InvocationHandler

      public class TrapException
      extends JdbcInterceptor

  Interceptor that traps any unhandled exception types and throws an exception that has been declared by the method called, or throw an SQLException if it is declared. If the caught exception is not declared, and the method doesn't throw SQLException, then this interceptor will throw a RuntimeException

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.jdbc.pool.JdbcInterceptor

      `CLOSE_VAL, EQUALS_VAL, GETCONNECTION_VAL, HASHCODE_VAL, ISCLOSED_VAL, ISVALID_VAL, ISWRAPPERFOR_VAL, properties, TOSTRING_VAL, UNWRAP_VAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrapException()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(Object proxy, Method method, Object[] args)` Gets invoked each time an operation on `Connection` is invoked.
    `boolean` | `isDeclaredException(Method m, Class<?> clazz)`
    `void` | `reset(ConnectionPool parent, PooledConnection con)` no-op for this interceptor. no state is stored.

    - ### Methods inherited from class org.apache.tomcat.jdbc.pool.JdbcInterceptor

      `compare, compare, disconnected, getNext, getProperties, isUseEquals, poolClosed, poolStarted, setNext, setProperties, setUseEquals`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrapException

          public TrapException()

  - ### Method Detail

    - #### invoke

          public Object invoke(Object proxy,
                               Method method,
                               Object[] args)
                        throws Throwable

      Description copied from class: `JdbcInterceptor`
      Gets invoked each time an operation on `Connection` is invoked.
      Specified by:
        `invoke` in interface `InvocationHandler`
      Overrides:
        `invoke` in class `JdbcInterceptor`
      Throws:
        `Throwable`

    - #### isDeclaredException

          public boolean isDeclaredException(Method m,
                                             Class<?> clazz)

    - #### reset

          public void reset(ConnectionPool parent,
                            PooledConnection con)

      no-op for this interceptor. no state is stored.
      Specified by:
        `reset` in class `JdbcInterceptor`
      Parameters:
        `parent` - - the connection pool owning the connection
        `con` - - the pooled connection

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.